# $Id$
# Authority: dag

%define schemas /etc/gconf/schemas/apps_gnucash_dialog_business_common.schemas /etc/gconf/schemas/apps_gnucash_dialog_commodities.schemas /etc/gconf/schemas/apps_gnucash_dialog_common.schemas /etc/gconf/schemas/apps_gnucash_dialog_hbci.schemas /etc/gconf/schemas/apps_gnucash_dialog_prices.schemas /etc/gconf/schemas/apps_gnucash_dialog_print_checks.schemas /etc/gconf/schemas/apps_gnucash_dialog_reconcile.schemas /etc/gconf/schemas/apps_gnucash_dialog_scheduled_transctions.schemas /etc/gconf/schemas/apps_gnucash_dialog_totd.schemas /etc/gconf/schemas/apps_gnucash_general.schemas /etc/gconf/schemas/apps_gnucash_history.schemas /etc/gconf/schemas/apps_gnucash_import_generic_matcher.schemas /etc/gconf/schemas/apps_gnucash_import_qif.schemas /etc/gconf/schemas/apps_gnucash_warnings.schemas /etc/gconf/schemas/apps_gnucash_window_pages_account_tree.schemas /etc/gconf/schemas/apps_gnucash_window_pages_register.schemas 

Summary: Finance management application
Name: gnucash
Version: 2.4.4
Release: 1%{?dist}
License: GPLv2+
Group: Applications/Productivity
URL: http://gnucash.org/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dl.sf.net/sourceforge/gnucash/gnucash-%{version}.tar.bz2
Patch0: gnucash-2.4.0-quiet.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: aqbanking-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: goffice-devel, swig
BuildRequires: guile-devel
BuildRequires: intltool
BuildRequires: libdbi-devel
BuildRequires: libglade2-devel >= 2.4
BuildRequires: libgnomeui >= 2.4
BuildRequires: libgsf-devel >= 1.12.2
BuildRequires: libofx-devel
BuildRequires: libtool
BuildRequires: libxml2 >= 2.5.10
BuildRequires: python-devel
BuildRequires: slib >= 3a1-5
BuildRequires: texinfo
BuildRequires: webkitgtk-devel
BuildRequires: zlib-devel
Requires: gnucash-docs >= 2.2.0
Requires: perl(Finance::Quote)
Requires: qbanking
Requires: slib >= 3a1-5
Requires(pre): GConf2
Requires(post): /sbin/ldconfig, GConf2
Requires(preun): GConf2
Requires(postun): /sbin/ldconfig
Obsoletes: gnucash-backend-postgres

%description
GnuCash is a personal finance manager. A check-book like register GUI
allows you to enter and track bank accounts, stocks, income and even
currency trades. The interface is designed to be simple and easy to
use, but is backed with double-entry accounting principles to ensure
balanced books.

%prep
%setup
%patch0 -p1
%{__chmod} 0644 src/import-export/import-commodity-matcher.c
find src/quotes -name "*.in" -exec sed -i "s|use lib '@-PERLINCL-@';||g" {} \;

%build
%configure \
    --disable-static \
    --enable-aqbanking \
    --enable-dbi \
    --enable-error-on-warning="no" \
    --enable-locale-specific-tax \
    --enable-ofx \
    --with-html-engine="webkit"
#   --enable-python-bindings
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
%{__make} install DESTDIR="%{buildroot}"
%find_lang %{name}

# vfolder desktop file install stuff
mkdir -p %{buildroot}%{_datadir}/applications/
desktop-file-install --vendor gnome --delete-original \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/gnucash.desktop
#echo "StartupWMClass=GnuCash" >> %{buildroot}%{_datadir}/applications/gnome-gnucash.desktop

%{__mv} -v %{buildroot}%{_libdir}/lib* %{buildroot}%{_libdir}/gnucash

%clean
%{__rm} -rf %{buildroot}

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
    gconftool-2 --makefile-uninstall-rule %{schemas} >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-install-rule %{schemas} >/dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
    gconftool-2 --makefile-uninstall-rule %{schemas} >/dev/null || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog* COPYING HACKING NEWS README
%doc doc/README.german doc/README.francais doc/README.OFX doc/README.HBCI
%doc %{_mandir}/man1/gnucash.1*
%config(noreplace) %{_sysconfdir}/gnucash/
%{_sysconfdir}/gconf/schemas/apps_gnucash*.schemas
%{_bindir}/gnc-fq-*
%{_bindir}/gnucash*
%{_bindir}/update-gnucash-gconf
%{_datadir}/gnucash/
%{_datadir}/applications/gnome-gnucash.desktop
%{_datadir}/icons/hicolor/*/apps/gnucash-icon.png
%{_datadir}/icons/hicolor/scalable/apps/gnucash-icon.svg
%{_libdir}/gnucash/
%{_libexecdir}/gnucash/
%exclude %{_bindir}/gnc-test-env
%exclude %{_includedir}
%exclude %{_infodir}
%exclude %{_libdir}/gnucash/lib*.la

%changelog
* Fri Mar 25 2011 Dag Wieers <dag@wieers.com> - 2.4.4-1
- Updated to release 2.4.4.

* Thu Mar 24 2011 Dag Wieers <dag@wieers.com> - 2.4.0-1
- Initial package. (based on fedora)
